Firefox bookmark handling UI changed

Bug #416502 reported by Gabor Kelemen on 2009-08-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kubuntu-docs (Ubuntu)
Undecided
Richard Johnson

Bug Description

Binary package hint: kubuntu-docs

The internet section documents the bookmark importing in Firefox, but the UI for doing this changed. For example:

Open the <application>Bookmarks Manager</application> by going to <menuchoice><guimenu>Bookmarks</guimenu><guimenuitem>Organize Bookmarks...</guimenuitem></menuchoice>.
Located in internet/C/internet.xml:210(para) internet/C/internet.xml:266(para)

The Bookmarks Manager is now Library

Open the <application>Import Wizard</application> by going to <menuchoice><guimenu>File</guimenu><guimenuitem>Import...</guimenuitem></menuchoice>
Located in internet/C/internet.xml:218(para)

There is no more File menu in the Library.

Close the <application>Bookmarks Manager</application> application.
Located in internet/C/internet.xml:243(para)

Again, this is Library.

Start the export by going to <menuchoice><guimenu>File</guimenu><guimenuitem>Export...</guimenuitem></menuchoice>
Located in internet/C/internet.xml:274(para)

Again, no more File menu.

I'm sure there are some more problems, so a complete review of this section is necessary.

Richard Johnson (nixternal) wrote :

Hey Gabor. I am still able to follow that section word-for-word by going to 'Bookmarks -> Organize Bookmars...'. The method you stated also needs to be documented, but only works if there is another browser on the system in which Firefox can read. For instance, Firefox cannot import my KHTML, Arora, or reKonq bookmarks that way, and can only be done by the way documented.

I am using Firefox 3.5.2 in Karmic. Am I missing something here?

Changed in kubuntu-docs (Ubuntu):
assignee: nobody → Richard Johnson (nixternal)
status: New → Incomplete
Gabor Kelemen (kelemeng) wrote :

Well, perhaps my Firefox is not the same as yours :)
I just installed Firefox 3.5 and Opera 10 to test this, so... let's take a look at it again. I think we are talking about this file on the system:
file:///usr/share/doc/kde/HTML/C/kubuntu/internet/browsers.html

It says:

 Procedure 3. Importing

   1.

      Open Firefox by going to Application Launcher → Internet → Web Browser.
   2.

      Open the Bookmarks Manager by going to Bookmarks → Organize Bookmarks....
   3.

      Open the Import Wizard by going to File → Import...

In the Library (not "Bookmarks Manager") window, there is no File menu. There is a menu item with this path in the main window. But why should I open the Library in the second step, if I'll use the menu item in the main window?
On the other hand, this Import wizard is available in the Library window under Import and Backup -> Import HTML, and indeed, it recognizes that I have Opera installed and does the import (well... at least it tries, but no success - perhaps because Opera 10 is so new).

The Export section has the same problem (at least for me :)), the functionality is under Import and Backup -> Export HTML.

Richard Johnson (nixternal) wrote :

I see what you are talking about. Thanks for clarifying that. I will fix that now and get it uploaded today into Karmic. Thanks again!

Changed in kubuntu-docs (Ubuntu):
status: Incomplete → In Progress
Richard Johnson (nixternal) wrote :
Download full text (6.7 KiB)

=== modified file 'docs/internet/C/internet.xml'
--- docs/internet/C/internet.xml 2009-09-01 15:47:13 +0000
+++ docs/internet/C/internet.xml 2009-09-01 18:20:02 +0000
@@ -209,26 +209,31 @@

 <step>
 <para>
-Open the <application>Import Wizard</application> by going to
-<menuchoice><guimenu>File</guimenu><guimenuitem>Import...</guimenuitem>
-</menuchoice>
-</para>
-</step>
-
-<step> ...

Read more...

Changed in kubuntu-docs (Ubuntu):
status: In Progress → Fix Committed
Gabor Kelemen (kelemeng) wrote :

Thanks for the fix. But, how about the Bookmarks Manager? The documentation still mentions it three times, despite it is now called Library.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kubuntu-docs - 9.10.1

---------------
kubuntu-docs (9.10.1) karmic; urgency=low

  * Initial release of the Karmic documentation, fixes a bunch of bugs:
    - Default package manager has to be changed (LP: #353327)
    - Link fails in doc index for viewing Windows partition (LP: #367224)
    - Application Launcher instructions confusing (LP: #367256)
    - Konversation still listed as default IRC client (LP: #353377)
    - Office section listed OpenOffice.org version 2 (LP: #353381)
    - kdesu in printing section (LP: #354000)
    - string error in network section (LP: #355975)
    - hyperlinks on index page were messed up (LP: #367243)
    - Typo in internet section (LP: #416715)
    - Reference to feisty in add-applications (LP: #385026)
    - Typo (LP: #413695)
    - Two printer configurator (LP: #417150)
    - Pringing section listed System Settings in Favorites (LP: #417177)
    - Firefox bookmark handling UI changed (LP: #416502)
    - Ugly hyperlinks and then some in Konqueror (LP: #367243)
  * debian/rules:
    - commented out translations section until final release
    - changed khelpdesktop location to fix FTBFS
    - removed index-table.css as it isn't used anymore
    - removed libs/*.html for contribs and legal as it isn't needed anymore
    - changed basic-concepts to basic-commands
    - changed programming to development
  * debian/compat: bumped to 7 for debhelper
  * debian/control: bumped to 7 for debhelper, 3.8.3 for standards, added
    shlibs and misc depends
  * debian/kubuntu-systemdocs: removed (temporarily?)
  * debian/source.lintian-overrides: removed, not needed anymore
  * debian/postinst: removed, replaced with kubuntu-docs.links
  * debian/prerm: removed, not needed anymore
  * debian/kubuntu-docs.links: added to link css and kubuntu index file

 -- <email address hidden> (Richard A. Johnson) Wed, 02 Sep 2009 01:48:34 -0500

Changed in kubuntu-docs (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers